ScansCreate scan
Scans

Create scan

Creates a new data discovery scan.

curl -X POST "https://api.neostra.io/api/v1/scans" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN (JWT)" \
  -d '{
  "name": "Full System Scan",
  "description": "example_string",
  "integrationId": "example_string",
  "schedule": "example_string",
  "config": {}
}'
{
  "status": 200,
  "message": "Success",
  "data": {},
  "errors": [
    "example_string"
  ]
}
POST
/api/v1/scans
POST
Bearer Token (JWT)
Bearer Tokenstring
Required

JWT bearer token for authentication

JWT bearer token for authentication
Content-Typestring
Required

The media type of the request body

Options: application/json
namestring

Name of the scan

descriptionstring

Description of the scan purpose

integrationIdstring

Integration to scan against

schedulestring

Cron expression for scheduled scans

configobject

Scan configuration parameters

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token (JWT). JWT bearer token for authentication

Body

application/json
namestring

Name of the scan

descriptionstring

Description of the scan purpose

integrationIdstring

Integration to scan against

schedulestring

Cron expression for scheduled scans

configobject

Scan configuration parameters

Responses